about summary refs log tree commit diff
path: root/test/pamseq.test
diff options
context:
space:
mode:
authorgiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2019-09-28 19:34:22 +0000
committergiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2019-09-28 19:34:22 +0000
commit860faaae6a58e83623b9620dc0e0f36f3126b251 (patch)
treee09259abd808ac7e9a4c2494e1ccefa0d08ef991 /test/pamseq.test
parent2b499210eb2a64c95e6891a8d361b38a8502e063 (diff)
downloadnetpbm-mirror-860faaae6a58e83623b9620dc0e0f36f3126b251.tar.gz
netpbm-mirror-860faaae6a58e83623b9620dc0e0f36f3126b251.tar.xz
netpbm-mirror-860faaae6a58e83623b9620dc0e0f36f3126b251.zip
Promote Development to Advanced
git-svn-id: http://svn.code.sf.net/p/netpbm/code/advanced@3691 9d0c8265-081b-0410-96cb-a4ca84ce46f8
Diffstat (limited to 'test/pamseq.test')
-rwxr-xr-xtest/pamseq.test19
1 files changed, 14 insertions, 5 deletions
diff --git a/test/pamseq.test b/test/pamseq.test
index ea19013b..0681d396 100755
--- a/test/pamseq.test
+++ b/test/pamseq.test
@@ -6,20 +6,29 @@ echo "Test 1"
 
 pamseq 1 255 | cksum
 
-echo "Test 2"
+echo "Test Invalid"
 
 echo 1>&2
 echo "Invalid command-line argument combinations." 1>&2
 echo "Error messages should appear below the line." 1>&2
 echo "-----------------------------------------------------------" 1>&2
 
-pamseq 1 || echo "Expected error 1"
-pamseq 0 255 || echo "Expected error 2"
-pamseq 3 0   || echo "Expected error 3"
+tmpdir=${tmpdir:-/tmp}
+test_out=${tmpdir}/test_out
+
+pamseq 1 > ${test_out} || \
+   echo -n "Expected failure 1"; test -s ${test_out}; echo " "$?
+pamseq 0 255 > ${test_out} || \
+   echo -n "Expected failure 2"; test -s ${test_out}; echo " "$?
+pamseq 3 0   > ${test_out} || \
+   echo -n "Expected failure 3"; test -s ${test_out}; echo " "$?
 
 c64="0123456789012345678901234567890123456789012345678901234567890123"
 c256=${c64}${c64}${c64}${c64}
 
 # Tupletype string length=256
 
-pamseq -tupletype="${c256}" 3 15 || echo "Expected error 4"
+pamseq -tupletype="${c256}" 3 15 > ${test_out} || \
+   echo -n "Expected failure 4"; test -s ${test_out}; echo " "$?
+
+rm ${test_out}